
services:
  emqx:
    container_name: emqx
    image: emqx/emqx:latest
    ports:
      - 1883:1883
      - 8083:8083
      - 8084:8084
      - 8883:8883
      - 18083:18083
    volumes:
      - ./broker/emqx.conf:/opt/emqx/etc/emqx.conf:z
      - ./broker/acl.conf:/opt/emqx/etc/acl.conf:z
      - ./broker/passwd:/opt/emqx/etc/passwd:z

  mediamtx:
    container_name: mediamtx
    image: bluenviron/mediamtx:1.17.0-ffmpeg
    volumes:
      - ./mediamtx.yml:/mediamtx.yml:z
    ports:
      - 8554:8554
      - 1935:1935
      - 8888:8888
      - 8889:8889
      - 8890:8890/udp
      - 8189:8189/udp
      - 9998:9998

